BASIC_DB_AUTH(8)

NAME
 basic_db_auth - Database auth helper for Squid

SYNOPSIS
 basic_db_auth [options]

DESCRIPTION
This program verifies username & password to a database

OPTIONS

--debug
    Write debug info to stderr.

--dsn
    Database DSN. Default "DBI:mysql:database=squid"

--user
    Database User

--password
    Database password

--table
    Database table. Default "passwd".

--usercol
    Username column. Default "user".

--passwdcol
    Password column. Default "password".

--cond
    Condition, defaults to enabled=1. Specify 1 or "" for no condition If you use --joomla flag, this condition will be changed to block=0

--plaintext
    Database contains plain-text passwords

--md5
    Database contains unsalted MD5 passwords

--sha1
    Database contains unsalted SHA1 passwords

--salt
    Selects the correct salt to evaluate passwords

--persist
    Keep a persistent database connection open between queries.

--joomla
    Tells helper that user database is Joomla DB. So their unusual salt hashing is understood.

AUTHOR
This program was written by Henrik Nordstrom <henrik@henriknordstrom.net> and Luis Daniel Lucio Quiroz <dlucio@okay.com.mx>

This manual was written by Henrik Nordstrom <henrik@henriknordstrom.net>

COPYRIGHT
 * Copyright (C) 1996-2023 The Squid Software Foundation and contributors
 *
 * Squid software is distributed under GPLv2+ license and includes
 * contributions from numerous individuals and organizations.
 * Please see the COPYING and CONTRIBUTORS files for details.

Copyright (C) 2007 Henrik Nordstrom <henrik@henriknordstrom.net> Copyright (C) 2010 Luis Daniel Lucio Quiroz <dlucio@okay.com.mx> (Joomla support) This program is free software. You may redistribute copies of it under the terms of the GNU General Public License version 2, or (at your opinion) any later version.

QUESTIONS
Questions on the usage of this program can be sent to the Squid Users mailing list <squid-users@lists.squid-cache.org>

REPORTING BUGS
Bug reports need to be made in English. See https://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.

Report bugs or bug fixes using https://bugs.squid-cache.org/

Report serious security bugs to Squid Bugs <squid-bugs@lists.squid-cache.org>

Report ideas for new improvements to the Squid Developers mailing list <squid-dev@lists.squid-cache.org>

SEE ALSO
squid (8), GPL (7),

The Squid FAQ wiki https://wiki.squid-cache.org/SquidFaq

The Squid Configuration Manual http://www.squid-cache.org/Doc/config/